import type { Parameter } from "../../../../metabase-types/api";
export declare function getParameterType(parameter: Parameter | string): string;
export declare function getParameterSubType(parameter: Parameter | string): string;
export declare function isIdParameter(parameter: Parameter | string): boolean;
export declare function isDateParameter(parameter: Parameter | string): boolean;
export declare function isNumberParameter(parameter: Parameter): boolean;
export declare function isStringParameter(parameter: Parameter): boolean;
export declare function isFilterParameter(parameter: Parameter): boolean;
export declare function isTemporalUnitParameter(parameter: Parameter): boolean;
export declare function isFieldFilterParameter(parameter: Parameter): boolean;
